<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iBillboardLayer Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iBillboardLayer Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iBillboardLayer" --><!-- doxytag: inherits="iBase" -->
<p>A layer of billboards.  
 <a href="structiBillboardLayer.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="tools_2billboard_8h_source.html">tools/billboard.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iBillboardLayer:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiBillboardLayer.png" usemap="#iBillboardLayer_map" alt=""/>
  <map id="iBillboardLayer_map" name="iBillboardLayer_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,98,24"/>
</map>
 </div></div>

<p><a href="structiBillboardLayer-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiBillboardLayer.html#ab692b5d867584b72e0ba6bf24f56e3d4">GetName</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the name of this layer.  <a href="#ab692b5d867584b72e0ba6bf24f56e3d4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiBillboardLayer.html#a3d8bf9c7a7f947eb439aa9f3cf624632">GetOffset</a> (int &amp;x, int &amp;y) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get current offset of layer in billboard space.  <a href="#a3d8bf9c7a7f947eb439aa9f3cf624632"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiBillboardLayer.html#a921deb2a19b6c946bbbf0bd29ea6dbc1">Move</a> (int dx, int dy)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Relative move of layer.  <a href="#a921deb2a19b6c946bbbf0bd29ea6dbc1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiBillboardLayer.html#a663919ecf33f3eba024e827a9db6aef1">SetOffset</a> (int x, int y)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set offset of layer in billboard space.  <a href="#a663919ecf33f3eba024e827a9db6aef1"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A layer of billboards. </p>
<p>You can add several billboards on one layer and then you can move the layer. </p>

<p>Definition at line <a class="el" href="tools_2billboard_8h_source.html#l00037">37</a> of file <a class="el" href="tools_2billboard_8h_source.html">billboard.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ab692b5d867584b72e0ba6bf24f56e3d4"></a><!-- doxytag: member="iBillboardLayer::GetName" ref="ab692b5d867584b72e0ba6bf24f56e3d4" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiBillboardLayer.html#ab692b5d867584b72e0ba6bf24f56e3d4">iBillboardLayer::GetName</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the name of this layer. </p>

</div>
</div>
<a class="anchor" id="a3d8bf9c7a7f947eb439aa9f3cf624632"></a><!-- doxytag: member="iBillboardLayer::GetOffset" ref="a3d8bf9c7a7f947eb439aa9f3cf624632" args="(int &amp;x, int &amp;y) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiBillboardLayer.html#a3d8bf9c7a7f947eb439aa9f3cf624632">iBillboardLayer::GetOffset</a> </td>
          <td>(</td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get current offset of layer in billboard space. </p>

</div>
</div>
<a class="anchor" id="a921deb2a19b6c946bbbf0bd29ea6dbc1"></a><!-- doxytag: member="iBillboardLayer::Move" ref="a921deb2a19b6c946bbbf0bd29ea6dbc1" args="(int dx, int dy)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiBillboardLayer.html#a921deb2a19b6c946bbbf0bd29ea6dbc1">iBillboardLayer::Move</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>dx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>dy</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Relative move of layer. </p>

</div>
</div>
<a class="anchor" id="a663919ecf33f3eba024e827a9db6aef1"></a><!-- doxytag: member="iBillboardLayer::SetOffset" ref="a663919ecf33f3eba024e827a9db6aef1" args="(int x, int y)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiBillboardLayer.html#a663919ecf33f3eba024e827a9db6aef1">iBillboardLayer::SetOffset</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set offset of layer in billboard space. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>tools/<a class="el" href="tools_2billboard_8h_source.html">billboard.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
